package inf101.v18.rogue101.items;

import inf101.v18.rogue101.objects.IItem;

public interface IWeapon extends IItem {
    /**
     * Retrieves the damage points of a weapon.
     *
     * @return  An int
     */
    int getWeaponDamage();

    /**
     * Returns the attack ponts of a weapon.
     *
     * @return an int
     */
    int getWeaponAttack();

    /**
     * Retrieves the string path of the sound to play upon an attack.
     *
     * @return  A string path
     */
    String getSound();
}
